import { Panel } from "@phosphor/widgets";
import { VoilaSession } from './session';
/**
 * A widget hosting a cloned output area.
 */
export declare class ClonedOutputArea extends Panel {
    constructor(options: ClonedOutputArea.IOptions);
    /**
     * The index of the cell in the notebook.
     */
    readonly index: number;
    /**
     * The path of the notebook for the cloned output area.
     */
    readonly notebookPath: string;
    private _session;
    private _index;
}
/**
 * ClonedOutputArea statics.
 */
export declare namespace ClonedOutputArea {
    interface IOptions {
        /**
         * The voila view associated with the cloned output area.
         */
        session: VoilaSession;
        /**
         * The index of the output area for when the notebook is loaded.
         */
        index: number;
    }
}
