import { IDisposable } from '@phosphor/disposable';
import { ISignal } from '@phosphor/signaling';
import * as base from '@jupyter-widgets/base';
export declare class WidgetRegistry implements IDisposable {
    /**
     *
     */
    constructor();
    readonly registered: ISignal<this, base.IWidgetRegistryData>;
    register(data: base.IWidgetRegistryData): void;
    readonly data: ReadonlyArray<base.IWidgetRegistryData>;
    dispose(): void;
    /**
     * Test whether the widget has been disposed.
     */
    readonly isDisposed: boolean;
    private _registered;
    private _data;
    private _disposed;
}
