/**
 * A multiple times replayable generator.
 *
 * Allows the elements of an async generator to be consumed by multiple
 * subscribers, that can connect at any point (before, during or after
 * element generation).
 */
export declare class ReplayableGenerator<T> {
    constructor(generator: AsyncIterableIterator<T>);
    _mainLoop(): Promise<void>;
    elements(): AsyncIterableIterator<T>;
    private _generator;
    private _history;
    private _children;
}
