import { IWidgetRegistryData } from '@jupyter-widgets/base';
import { IWidgetTracker, MainAreaWidget } from '@jupyterlab/apputils';
import { Token } from '@phosphor/coreutils';
import { VoilaView } from './widget';
/**
 * A runtime interface token for a widget registry.
 */
export declare const TPhoilaWidgetRegistry: Token<TPhoilaWidgetRegistry>;
/**
 * A registry of Jupyter Widgets.
 *
 * This is used by widget managers that support an external registry.
 */
export interface TPhoilaWidgetRegistry {
    /**
     * Register a widget module.
     */
    registerWidget(data: IWidgetRegistryData): void;
}
/**
 * A class that tracks voila widgets.
 */
export interface TVoilaTracker extends IWidgetTracker<MainAreaWidget<VoilaView>> {
}
/**
 * The voila widget tracker token.
 */
export declare const TVoilaTracker: Token<TVoilaTracker>;
